%define api		1.0
%define major		0
%define girmajor	1.0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname -d %{name}
%define girname		%mklibname %{name}-gir %{girmajor}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	JavaScript bindings based on gobject-introspection
Name:		gjs
Version:	1.32.0
Release:	%mkrel 1
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		gjs-1.29.18-linkage.patch
License:	BSD
Group:		Development/Other
Url:		http://live.gnome.org/Gjs
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(cairo-gobject)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gobject-2.0) >= 2.18.0
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 1.29.16
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	libjs-devel

%description
This package contains JavaScript bindings based on gobject-introspection.

%package -n %{libname}
Group:		System/Libraries
Summary:	JavaScript bindings based on gobject-introspection

%description -n %{libname}
This package contains JavaScript bindings based on gobject-introspection.

%package -n %{develname}
Group:		Development/C
Summary:	JavaScript bindings based on gobject-introspection
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains JavaScript bindings based on gobject-introspection.

%package -n %{girname}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%setup -q
%apply_patches

%build
(if ! test -x configure; then NOCONFIGURE=1 ./autogen.sh; fi)
%configure2_5x \
	--disable-static \
	--enable-maintainer-mode

%make

%install
rm -rf %{buildroot}
%makeinstall_std

#Remove libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%files
%doc README COPYING NEWS
%{_bindir}/gjs
%{_bindir}/gjs-console
%{_datadir}/%{name}-%{api}

%files -n %{libname}
%{_libdir}/libgjs-dbus.so.%{major}*
%{_libdir}/libgjs-gdbus.so.%{major}*
%{_libdir}/libgjs.so.%{major}*
%{_libdir}/gjs-%{api}

%files -n %{girname}
%{_libdir}/girepository-1.0/GjsDBus-%{girmajor}.typelib

%files -n %{develname}
%{_libdir}/libgjs-dbus.so
%{_libdir}/libgjs-gdbus.so
%{_libdir}/libgjs.so
%{_libdir}/pkgconfig/gjs-%{api}.pc
%{_libdir}/pkgconfig/gjs-dbus-%{api}.pc
%{_libdir}/pkgconfig/gjs-internals-%{api}.pc
%{_datadir}/gir-1.0/GjsDBus-%{girmajor}.gir
%{_includedir}/gjs-%{api}


%changelog

* Tue Mar 27 2012 ovitters <ovitters> 1.32.0-1.mga2
+ Revision: 227149
- new version 1.32.0

* Wed Mar 21 2012 ovitters <ovitters> 1.31.22-1.mga2
+ Revision: 225206
- new version 1.31.22

* Mon Mar 05 2012 wally <wally> 1.31.20-1.mga2
+ Revision: 219106
- new version 1.31.20

* Fri Jan 20 2012 fwang <fwang> 1.31.10-1.mga2
+ Revision: 198597
- update file list
- update file list
- new version 1.31.10

* Tue Dec 20 2011 wally <wally> 1.31.6-1.mga2
+ Revision: 184990
- new version 1.31.6
- clean .spec a bit

* Sun Nov 27 2011 wally <wally> 1.31.0-3.mga2
+ Revision: 172760
- rebuild for new xulrunner

* Fri Nov 11 2011 fwang <fwang> 1.31.0-2.mga2
+ Revision: 166470
- rebuild for new xulrunner

* Fri Oct 28 2011 wally <wally> 1.31.0-1.mga2
+ Revision: 159198
- new version 1.31.0

* Fri Sep 30 2011 fwang <fwang> 1.30.0-3.mga2
+ Revision: 150438
- rebuild for new xulrunner

* Tue Sep 27 2011 ovitters <ovitters> 1.30.0-2.mga2
+ Revision: 149563
- new version 1.30.0

* Tue Sep 27 2011 fwang <fwang> 1.29.18-2.mga2
+ Revision: 149256
- rebuild for new xulrunner

* Wed Sep 21 2011 wally <wally> 1.29.18-1.mga2
+ Revision: 146491
- add patch to fix build
- new version 1.29.18

* Mon Sep 05 2011 fwang <fwang> 1.29.17-3.mga2
+ Revision: 138565
- rebuild for new xulrunner

* Wed Aug 31 2011 fwang <fwang> 1.29.17-2.mga2
+ Revision: 136989
- rebuild for new xulrunner

* Tue Aug 30 2011 fwang <fwang> 1.29.17-1.mga2
+ Revision: 136333
- new version 1.29.17
- rebuild for new xulrunner

  + wally <wally>
    - new version 1.29.16
    - change BRs to pkgconfig style if possible
    - clean .spec a bit
    - new version 1.29.15
    - add a subpackage for gir .typelib
    - use configure2_5x macro
    - clean .spec a bit

* Wed Jul 13 2011 fwang <fwang> 1.29.0-3.mga2
+ Revision: 123541
- rebuild for new xulrunner

* Fri Jun 24 2011 fwang <fwang> 1.29.0-2.mga2
+ Revision: 113046
- rebuild for new xulrunner

* Tue Jun 21 2011 dmorgan <dmorgan> 1.29.0-1.mga2
+ Revision: 111667
- New version 1.29.0
  Remove .la files
- Simplify spec file
  Rebuild against new xulrunner

* Sat Apr 30 2011 ahmad <ahmad> 0.7.14-2.mga1
+ Revision: 93754
- rebuild for xulrunner-2.0.1

* Wed Apr 20 2011 pterjan <pterjan> 0.7.14-1.mga1
+ Revision: 89161
- Update to 0.7.14

* Sun Mar 27 2011 ahmad <ahmad> 0.7.13-4.mga1
+ Revision: 78095
- sync with Mandriva:
  o drop format-strings patch, BR libreadline-devel fixes the issue
  o add a linking patch

* Thu Mar 24 2011 boklm <boklm> 0.7.13-3.mga1
+ Revision: 76143
- rebuild for bug #497

* Wed Mar 16 2011 ahmad <ahmad> 0.7.13-2.mga1
+ Revision: 72645
- add the string format patch back, it fails to build on the BS even though it
  builds locally without that patch...
- update to 0.7.13
- drop patch, compiles ok without it
- bump BR gobject-introspection-devel version

  + tv <tv>
    - rebuild for new gir

  + ennael <ennael>
    - imported package gjs


* Mon Nov 15 2010 Götz Waschk <waschk@mandriva.org> 0.7.7-1mdv2011.0
+ Revision: 597754
- update to new version 0.7.7
- update to new version 0.7.6

* Thu Oct 28 2010 Götz Waschk <waschk@mandriva.org> 0.7.5-1mdv2011.0
+ Revision: 589698
- new version
- update file list

* Tue Oct 05 2010 Götz Waschk <waschk@mandriva.org> 0.7.4-1mdv2011.0
+ Revision: 583086
- update to new version 0.7.4

* Fri Oct 01 2010 Götz Waschk <waschk@mandriva.org> 0.7.3-1mdv2011.0
+ Revision: 582395
- new version
- drop patch 1

  + Funda Wang <fwang@mandriva.org>
    - partial patch to build with xulrunner 2.0

* Fri Jul 30 2010 Götz Waschk <waschk@mandriva.org> 0.7.1-1mdv2011.0
+ Revision: 563574
- new version

* Tue Jul 27 2010 Funda Wang <fwang@mandriva.org> 0.6-5mdv2011.0
+ Revision: 561173
- rebuild for xulrunner 1.9.2.8

* Mon Jun 28 2010 Frederic Crozat <fcrozat@mandriva.com> 0.6-4mdv2010.1
+ Revision: 549369
- rebuild with latest xulrunner

* Sun Apr 04 2010 Funda Wang <fwang@mandriva.org> 0.6-3mdv2010.1
+ Revision: 531047
- rebuild for new xulrunner

* Wed Mar 24 2010 Götz Waschk <waschk@mandriva.org> 0.6-2mdv2010.1
+ Revision: 527072
- rebuild for new xulrunner

* Thu Mar 18 2010 Götz Waschk <waschk@mandriva.org> 0.6-1mdv2010.1
+ Revision: 525126
- update to new version 0.6

* Tue Feb 16 2010 Götz Waschk <waschk@mandriva.org> 0.5-1mdv2010.1
+ Revision: 506437
- new version
- drop patch 1

* Sun Jan 10 2010 Götz Waschk <waschk@mandriva.org> 0.4-6mdv2010.1
+ Revision: 488680
- rebuild for new xulrunner

* Fri Jan 01 2010 Götz Waschk <waschk@mandriva.org> 0.4-5mdv2010.1
+ Revision: 484664
- fix build with new xulrunner

* Wed Dec 16 2009 Götz Waschk <waschk@mandriva.org> 0.4-4mdv2010.1
+ Revision: 479218
- rebuild for new xulrunner

* Fri Nov 06 2009 Funda Wang <fwang@mandriva.org> 0.4-3mdv2010.1
+ Revision: 460639
- rebuild for new xulrunner

* Wed Sep 16 2009 Götz Waschk <waschk@mandriva.org> 0.4-2mdv2010.0
+ Revision: 443445
- add explicit versioned xulrunner dep
- rebuild for new xulrunner

* Wed Aug 26 2009 Götz Waschk <waschk@mandriva.org> 0.4-1mdv2010.0
+ Revision: 421331
- new version
- update file list

* Sun Jul 05 2009 Götz Waschk <waschk@mandriva.org> 0.3-1mdv2010.0
+ Revision: 392671
- fix format string
- new version
- fix source URL
- add dbus binding
- drop patch

* Thu Jan 22 2009 Götz Waschk <waschk@mandriva.org> 0.2-2mdv2009.1
+ Revision: 332448
- rebuild

* Wed Nov 12 2008 Götz Waschk <waschk@mandriva.org> 0.2-1mdv2009.1
+ Revision: 302494
- import gjs


